Package javax.mail

## Class Message.RecipientType

- java.lang.Object
- - javax.mail.Message.RecipientType

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `MimeMessage.RecipientType`

Enclosing class:
  Message

    public static class Message.RecipientType
    extends java.lang.Object
    implements java.io.Serializable

This inner class defines the types of recipients allowed by the Message class. The currently defined types are TO, CC and BCC. Note that this class only has a protected constructor, thereby restricting new Recipient types to either this class or subclasses. This effectively implements an enumeration of the allowed Recipient types. The following code sample shows how to use this class to obtain the "TO" recipients from a message.

>      Message msg = folder.getMessages(1);
>      Address[] a = m.getRecipients(Message.RecipientType.TO);

See Also:
  `Message.getRecipients(javax.mail.Message.RecipientType)`, `Message.setRecipients(javax.mail.Message.RecipientType, javax.mail.Address[])`, `Message.addRecipients(javax.mail.Message.RecipientType, javax.mail.Address[])`, Serialized Form

### Field Summary

Fields
`static Message.RecipientType` `BCC` The "Bcc" (blind carbon copy) recipients.
`static Message.RecipientType` `CC` The "Cc" (carbon copy) recipients.
`static Message.RecipientType` `TO` The "To" (primary) recipients.
`protected java.lang.String` `type` The type of recipient, usually the name of a corresponding Internet standard header.

### Constructor Summary

Constructors
`protected` `RecipientType​(java.lang.String type)` Constructor for use by subclasses.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Object` `readResolve()` When deserializing a RecipientType, we need to make sure to return only one of the known static final instances defined in this class.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TO

    public static final Message.RecipientType TO

The "To" (primary) recipients.

#### CC

    public static final Message.RecipientType CC

The "Cc" (carbon copy) recipients.

#### BCC

    public static final Message.RecipientType BCC

The "Bcc" (blind carbon copy) recipients.

#### type

    protected java.lang.String type

The type of recipient, usually the name of a corresponding Internet standard header.

### Constructor Detail

#### RecipientType

    protected RecipientType​(java.lang.String type)

Constructor for use by subclasses.

Parameters:
  `type` - the recipient type

### Method Detail

#### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

When deserializing a RecipientType, we need to make sure to return only one of the known static final instances defined in this class. Subclasses must implement their own `readResolve` method that checks for their known instances before calling this super method.

Returns:
  the RecipientType object instance
Throws:
  `java.io.ObjectStreamException` - for object stream errors

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`